#ifndef FER320_H
#define FER320_H

/* Linux version */
/* archive Apr 2015.  Oct 2019: change LongIntPtr to Longiptr */

#include "ferm120.h"
#include "fer320.h"
#include "fer220.h"
#include "fer221.h"


extern int32_t fermat_init();

extern void poly_readin(textptr inf, polyptrr p, nameptr *flag, Longiptr depth);

extern void quoly_readin(textptr inf, quolyptr p, nameptr *flag, Longiptr depth);

extern void total_eval(textptr inf, quolyptr n, quolyptr n2, nameptr *flag, Boolean should_free, int32_t target, Boolean leave_n);

extern void get_evalquoly(textptr inf, quolyptr n, quolyptr n2, Longiptr target, nameptr *flag, Boolean should_free, Boolean leave_n);

extern void call_content(quolyptr x, quolyptr n, quolyptr m);

#endif
